@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap");

:root {
	--ff: "Poppins", sans-serif;

	--skinny-light: #fff0db;
	--green: #149f39;
	--orange-light: #ffc066;
}

*,
*::before,
*::after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	font-size: 62.5%;
}

body {
	font-size: 1.3rem;
	font-family: var(--ff);
	font-weight: 400;
	line-height: 1.5;
}

h1,
h2,
h3,
h4 {
	line-height: 1.1;
	margin-bottom: 1rem;
}

img {
	width: 100%;
	object-fit: cover;
}

button {
	color: #fff;
	padding: 0.5rem 1.5rem;
	border: none;
	font-size: 1.2rem;
	margin-bottom: 1rem;
}

ul {
	list-style: none;
}

.container {
	width: 80%;
	max-width: 100%;
	margin: 0 auto;
}

/* NAV-BAR STYLING */
nav {
	display: flex;
	align-items: center;
	justify-content: space-between;
	position: sticky;
	top: 0;
	left: 0;
	background-color: #fff;
	margin: 1rem auto 2rem;
}

.logo-img {
	width: 8rem;
}

.menu i {
	font-size: 1.8rem;
}

@media (min-width: 550px) {
	.logo-img {
		width: 10rem;
	}
	.menu i {
		font-size: 2rem;
	}
}

@media (min-width: 850px) {
	.logo-img {
		width: 12rem;
	}
	.menu i {
		font-size: 2.5rem;
	}
}

@media (min-width: 1000px) {
	.logo-img {
		width: 15rem;
	}
	.menu i {
		font-size: 3rem;
	}
}

/* HERO SECTION STYLING */
.hero-img {
	width: 90%;
	margin-inline: auto;
	margin-bottom: 2rem;
}

.greenBtn {
	background-color: var(--green);
	display: block;
	margin: 1rem auto 2rem;
}

h1 {
	font-size: 3rem;
}

p {
	text-align: justify;
	margin-bottom: 1rem;
}

.explore {
	background-color: var(--orange-light);
	font-size: 1.6rem;
	font-weight: 600;
	padding: 0.8rem 2rem;
}

/* FEATURE SECTION STYLING */
.features-container {
}

.feature {
	display: flex;
	align-items: center;
	justify-content: flex-start;
	gap: 2rem;
	text-align: left;
	margin: 1.5rem 0;
}

h3 {
	margin-bottom: 0;
}

.feature p {
	font-size: 1.1rem;
}

.feature img {
	width: 5rem;
}

@media (min-width: 400px) {
	.hero-img {
		width: 30rem;
	}
}

@media (min-width: 550px) {
	.hero-img {
		width: 40rem;
	}
	h1 {
		font-size: 4.5rem;
	}
	h3 {
		font-size: 1.7rem;
	}
	.feature p {
		font-size: 1.3rem;
	}
}

@media (min-width: 800px) {
	.hero-container {
		display: flex;
		align-items: center;
		justify-content: space-between;
		margin-top: 4rem;
	}
	.greenBtn {
		margin: 0;
		margin-bottom: 1rem;
	}
	.hero-img {
		width: 50rem;
	}
	.hero-content {
		margin: 0;
		margin-left: 3.5rem;
	}
	.greenBtn {
		display: inline;
	}
	.features-container .feature {
		margin-left: 15rem;
	}
}

@media (min-width: 1000px) {
	h1 {
		font-size: 9rem;
	}
	.hero-content p {
		font-size: 1rem;
		width: 35rem;
		font-weight: 600;
	}
	.hero-img {
		width: 75rem;
	}
	.features-container {
		display: flex;
		align-items: center;
		justify-content: space-around;
		gap: 4rem;
	}
	.feature-content {
		width: 18rem;
	}
	.feature-content h3 {
		font-size: 1.7rem;
	}
	.feature-content p {
		font-size: 1.1rem;
		text-align: left;
	}
	.feature-icon {
		margin-top: 3rem;
		margin-left: -15rem;
	}
}

/* DIVIDER */
.divider {
	border-bottom: 0.5px solid #3e3e3e;
	margin-block: 3rem;
}

/* MENU STYLING */
h2 {
	text-align: center;
	margin-bottom: 2rem;
}

.big {
	display: block;
	margin: 2rem auto;
	font-size: 1.5rem;
}

.grid-container {
	display: grid;
	grid-template-areas:
		"img1 img1 img2 ."
		"img1 img1 img2 img7"
		". . . img7";
	column-gap: 0.5rem;
	row-gap: -0.5rem;
}

.grid-container img {
	border-radius: 0.2rem;
	transition: all 0.2s ease-in-out;
}

.grid-container img:hover {
	transform: scale(1.04);
}

.grid-img1 {
	grid-area: img1;
}

.grid-img2 {
	grid-area: img2;
}

.grid-img7 {
	grid-area: img7;
}

@media (min-width: 800px) {
	h2 {
		font-size: 3rem;
	}
}

@media (min-width: 1000px) {
	h2 {
		font-size: 4rem;
	}
	.big {
		font-size: 2rem;
	}
	.grid-container {
		gap: 2rem;
	}
	.grid-container img {
		border-radius: 1rem;
	}
}

/* FOOTER STYLING */
footer {
	background-color: var(--skinny-light);
	padding: 1rem;
	margin-top: 2rem;
	text-align: center;
}

footer .logo-img {
	width: 10rem;
}

.main-link,
.support-link {
	margin-bottom: 1.5rem;
}

h4 {
	color: #3e3e3e;
	margin-block: 1rem 0.5rem;
	font-size: 1.5rem;
}

li {
	font-size: 1rem;
}

input[type="email"] {
	padding: 0.5rem;
}

.socials i {
	margin: -1rem 1rem 0;
}

@media (min-width: 600px) {
	footer {
		display: flex;
		align-items: center;
		justify-content: space-around;
	}
}

@media (min-width: 800px) {
	footer {
		display: flex;
		align-items: center;
		justify-content: space-evenly;
	}
	footer .logo-img {
		width: 12rem;
	}
	h4 {
		font-size: 1.8rem;
		margin-bottom: 1.5rem;
	}
	li {
		font-size: 1.2rem;
		margin-bottom: 1rem;
	}
}
